# NOTE: Derived from blib/lib/BDB/Wrapper.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package BDB::Wrapper;

#line 1638 "blib/lib/BDB/Wrapper.pm (autosplit into blib/lib/auto/BDB/Wrapper/clear_bdb_home.al)"
sub clear_bdb_home(){
  my $self=shift;
  my $op=shift;
  my $bdb='';
  my $transaction=undef;
  my $lock_root=$self->{'lock_root'};
  if($op && ref($op) eq 'HASH'){
    $bdb=$op->{'bdb'} || return;
    if(exists($op->{'transaction'})){
      $transaction=$op->{'transaction'};
    }
    elsif(exists($op->{'txn'})){
      $transaction=$op->{'txn'};
    }
    else{
      $transaction=$self->{'transaction'};
    }

    if($transaction && $transaction!~ m!^/.!){
      $transaction = $self->{'default_txn_dir'};
#      croak("transaction parameter must be valid directory name.");
    }
    if($transaction){
      $lock_root=$transaction;
    }
  }
  else{
    $bdb=File::Spec->rel2abs($op) || return;
  }
  $bdb=~ s!\.bdb$!!i;
  my $dir=$lock_root.'/bdb_home'.$bdb;
  my $dh;
  opendir($dh, $dir);
  if($dh){
    while (my $file = readdir $dh){
      if(-f $dir.'/'.$file){
        unlink $dir.'/'.$file;
      }
    }
    closedir $dh;
    rmdir $dir;
  }
}

# end of BDB::Wrapper::clear_bdb_home
1;
